Package ru.bitel.bgbilling.modules.inet.server.bean

# Class Source

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.inet.server.bean.Source

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Source extends IdTitle implements ListItem, Idable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_FILE`
  `static final int`
  `TYPE_FTP`
  `static final int`
  `TYPE_NETFLOW`
  `static final int`
  `TYPE_SFLOW`
  `static final int`
  `TYPE_SNMP`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Source()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final boolean`
  `checkSourceType(int type)`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `String`
  `getHostOrDir()`
  `int`
  `getMid()`
  `String`
  `getPswd()`
  `int`
  `getType()`
  `String`
  `getUser()`
  `static final int`
  `nameToType(String type)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `void`
  `setHostOrDir(String hostOrDir)`
  `void`
  `setMid(int mid)`
  `void`
  `setPswd(String pswd)`
  `void`
  `setType(int type)`
  `void`
  `setUser(String user)`
  `static final String`
  `typeToName(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.Idable

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Field Details

  - ### TYPE_FTP

    public static final int TYPE_FTP
    See Also:
      - Constant Field Values

  - ### TYPE_FILE

    public static final int TYPE_FILE
    See Also:
      - Constant Field Values

  - ### TYPE_NETFLOW

    public static final int TYPE_NETFLOW
    See Also:
      - Constant Field Values

  - ### TYPE_SFLOW

    public static final int TYPE_SFLOW
    See Also:
      - Constant Field Values

  - ### TYPE_SNMP

    public static final int TYPE_SNMP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Source

    public Source()

- ## Method Details

  - ### typeToName

    public static final String typeToName(int type)

  - ### nameToType

    public static final int nameToType(String type)

  - ### checkSourceType

    public static final boolean checkSourceType(int type)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDate1

    public Calendar getDate1()

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### getDate2

    public Calendar getDate2()

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### getHostOrDir

    public String getHostOrDir()

  - ### setHostOrDir

    public void setHostOrDir(String hostOrDir)

  - ### getMid

    public int getMid()

  - ### setMid

    public void setMid(int mid)

  - ### getPswd

    public String getPswd()

  - ### setPswd

    public void setPswd(String pswd)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)